package model.decisionMaking;

import java.util.ArrayList;

public interface CompareLandUsePattern {

	/**This method may discard some pattern from the list, e.g. filter those which 
	 * have a big distance to f. The first element in the list must be kept (f's last
	 * land-use pattern)*/
	public ArrayList<EvaluatedLandUsePattern> discardPattern(ArrayList<EvaluatedLandUsePattern> elpList, model.Farmer f);
	/**This method chooses one pattern, utilizing some heuristic, optimization or similar. */
	public EvaluatedLandUsePattern choosePattern(ArrayList<EvaluatedLandUsePattern> elpList, model.Farmer f);
}
