package model.decisionMaking;

import java.util.ArrayList;
import java.util.Iterator;

import model.rules.Rule;
import model.Farmer;


public class RuleApplication_simple implements RuleApplication{

	public ArrayList<Rule > rules;
	
	public void setRules(ArrayList<Rule> l){
		rules = l;
	}
	
	public ArrayList<EvaluatedLandUsePattern> applyRulesTo(ArrayList<EvaluatedLandUsePattern> elpList, Farmer f){
		
		Rule r;
		EvaluatedLandUsePattern elp;
		
		Iterator<EvaluatedLandUsePattern> it = elpList.iterator();
		while(it.hasNext()){
		
			elp = it.next();
			if(rules != null){
				for(int i=0; i<rules.size(); i++){
					r = (Rule)rules.get(i);				
					r.evaluateLandUsePattern(elp,f);				
				}
			}
		}

		return elpList;
	}
	
	//Change add method that just applies Rules to one elp
	
	
/*	protected EvaluatedLandUsePattern applyMandatoryRules(LandUsePattern lp, Farmer f){
		Rule r;
		EvaluatedLandUsePattern elp = new EvaluatedLandUsePattern();
		elp.pattern = lp;
		if(rules != null){
			for(int i=0; i<rules.size(); i++){
				r = (Rule)rules.get(i);
				if(r.isMandatory()){
					elp = r.evaluateLandUsePattern(elp);
				}
			}
		}
		
		el.subsidies = sumImpacts[Rule.SUBSIDIES];
		el.penalties = sumImpacts[Rule.PENALTIES];
		el.stayLegal = sumImpacts[Rule.STAY_LEGAL];
		return el;
	}
	
	protected EvaluatedLandUsePattern applyVoluntaryRules(EvaluatedLandUsePattern el, Farmer f){
//To-do
		return el;
	}
*/	
}
