package model;

public class IrrigationTechnology {

	public static final int RAINFED=0;
	public static final int FLOOD=1;
	public static final int SPRINKLER = 2;
	public static final int DRIP = 3;
	
	public static final int NR_TECHS = 4;
	
	/**Returns an IrrigationTechnology with same attributes
	 * initialInvestment, waterEfficiency) */
	public static IrrigationTechnology clone(IrrigationTechnology t){
		if(t == null){
			return null;
		}
//		IrrigationTechnology c = new IrrigationTechnology(t.name,t.type, t.costs, t.waterEfficiency);
		IrrigationTechnology c = new IrrigationTechnology(t.name,t.type, t.waterEfficiency);
		c.name = t.name;
		return c;
	}
	
	
	//////////////////////////////////////////////////////
	
	protected int type;
	protected String name;
//	public double costs; 			//maintenance+depreciation --> not considered yet
	public double waterEfficiency; 	//share of water that reaches plant
									//0.0-> all water lost
									//1.0 -> all water reaches plant
									//use waterNeed/waterEfficiency to compute waterExtraction
	

	public IrrigationTechnology(String name, int type, double waterEfficiency){
	this.name = name;
	this.type = type;
	this.waterEfficiency = waterEfficiency;
}

	
	/**Returns true if this.getType() == t.getType().*/
	public boolean equals(IrrigationTechnology t){
		return (this.getType() == t.getType());
	}
	
	public String getName(){
		return name;
	}
	public void setName(String s){
		name = s;
	}
	
	public int getType(){
		return type;
	}

}
